%define		_disable_ld_no_undefined 1
%define		libname %mklibname %{name}

Name:		yarock
Version:	1.4.0
Release:	%mkrel 3
Summary:	Modern and elegant Linux music player
Group:		Sound/Players
License:	GPLv3
URL:		https://seb-apps.github.io/yarock/
Source0:	https://launchpad.net/yarock/1.x/%{version}/+download/Yarock_%{version}_Sources.tar.gz#/%{name}-%{version}.tar.gz

Patch1:		yarock-1.3.1-remove-version-from-desktop-file.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig
BuildRequires:	qt5-devel
BuildRequires:	qt5help-devel
BuildRequires:	qttools5
BuildRequires:	qt5x11extras-devel
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(taglib-extras)
BuildRequires:	pkgconfig(libVLCQtCore)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	phonon4qt5-vlc
BuildRequires:	vlc-devel
BuildRequires:	mpv-devel
BuildRequires:	htmlcxx
BuildRequires:	pkgconfig(htmlcxx)
BuildRequires:	pkgconfig(sqlite3)
Requires:	qt5-database-plugin-sqlite
Recommends:	%{libname}-mpv = %{version}-%{release}
Recommends:	%{libname}-phonon = %{version}-%{release}
Recommends:	%{libname}-vlc = %{version}-%{release}

%description
Yarock is a modern looking music player, packed with features, that doesn't
depend on any specific desktop environment. Yarock is designed to provide
an easy and pretty music browser based on cover art. Yarock is easy to build
with a minimal set of dependencies, and offers the choice of different audio
back-ends.

%package -n	%{libname}-mpv
Summary:	The MPV audio backend library for Yarock

%description -n	%{libname}-mpv
The MPV audio backend library for Yarock

%package -n	%{libname}-phonon
Summary:	The Phonon audio backend library for Yarock

%description -n	%{libname}-phonon
The Phonon audio backend library for Yarock

%package -n	%{libname}-vlc
Summary:	The VLC audio backend library for Yarock

%description -n	%{libname}-vlc
The VLC audio backend library for Yarock

%prep
%autosetup -p1 -n Yarock_%{version}_Sources

%build
%cmake_qt5 \
	-DENABLE_VLC=ON \
	-DENABLE_MPV=ON \
	-DENABLE_PHONON=ON \
	-DENABLE_QT5=ON \
	-DCMAKE_INSTALL_TRANS=%{_qt5_translationdir}
%cmake_build

%install
%cmake_install

%__mkdir_p %{buildroot}%{_qt5_translationdir}
%__mv %{buildroot}%{_datadir}/%{name}/translations/* %{buildroot}%{_qt5_translationdir}/
%__rm -rf %{buildroot}%{_datadir}/%{name}

%files
%doc README.md
%{_bindir}/%{name}
%{_datadir}/appdata/org.yarock.appdata.xml
%{_datadir}/pixmaps/application-x-yarock.png
%{_datadir}/applications/org.yarock.desktop
%{_datadir}/icons/hicolor/*/apps/application-x-yarock.*
%{_qt5_translationdir}/%{name}*.qm

%files -n	%{libname}-mpv
%{_libdir}/%{name}/libenginempv.so

%files -n       %{libname}-phonon
%{_libdir}/%{name}/libenginephonon.so

%files -n       %{libname}-vlc
%{_libdir}/%{name}/libenginevlc.so



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1525185
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Apr 02 2019 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1385331
- Qt5 Rebuild

* Sat Mar 23 2019 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1379754
- Update to version 1.4.0

* Sun Sep 23 2018 umeabot <umeabot> 3.mga7-current
+ Revision: 1302020
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 kekepower <kekepower> 1.3.1-2.mga7
+ Revision: 1207525
- Rebuild for new Qt5 and Phonon

* Mon Feb 12 2018 kekepower <kekepower> 1.3.1-1.mga7
+ Revision: 1200746
- Add patch to remove Version from yarock.desktop
- Add patch for phonon4qt5
- Update to version 1.3.1
- My patches accepted upstream
- Fixed the Source0 URL
- Removed unused line
- imported package yarock

